#ifndef ACTIONHIT_H
#define ACTIONHIT_H

#include "Unit.h"
#include "UnitAction.h"
#include "EnnemyUnit.h"
#include "DebugAI.h"
#include "Converter.h"

#include "MemoryManager/debugNew.h"

// forward declaration
class Unit;
class EnnemyUnit;


class ActionHit :
	public UnitAction
{
protected:
	EnnemyUnit *ennemy;
	Unit *unit;
	int timeBeforeHit;
	/**
	 * le decalage qu'on doit utiliser lorsqu'on souhaite suivre une unité (utiliser pour rapprocher plus
	 * un archer par exemple)
	 */ 
	float followOffset;
	void processHit();
public:
	ActionHit(Unit *u,unitEnumeration::UnitState state, EnnemyUnit *e,float followOffset = 0.1f);
	virtual ~ActionHit(void);

	/**
	* 
	*/
	virtual void execute();
};

#include "MemoryManager/debugNewOff.h"


#endif
